Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface MutablePortletXtra3

All Known Implementing Classes:
  DefaultPortlet

public interface MutablePortletXtra3
extends MutablePortletXtra2

Extension (#3) to the Portlet interface. The first extension was (mis)named `MobilePortlet`. The second extension does not exist in this release of the JPDK. This is called extension 3 so it's contents are compatible with extension 3 in the 9.0.2 release

So as to not break existing portlets new meta data is added to interfaces that subclass the previous.

Method Summary
`void` | `setContainerRenderer(java.lang.Object renderer)` Sets the controller that will render this portlet's container.
`void` | `setContainerRenderer(PortletContainerRenderer renderer)` Sets the controller that will render this portlet's container.
`void` | `setMinEditAuthLevel(java.lang.String authLevel)` Sets the minimum user authentication level required for the customize link to be displayed in the portlet header If the authentication level of a user is less than the minimum authentication level specified, the customize link will not be displayed in the portlet header.

Methods inherited from interface oracle.portal.provider.v1.MutablePortletXtra2
`setMobileFlags, setMobileFlags, setShortTitle, setShowLink, setShowLink`

Methods inherited from interface oracle.portal.provider.v1.PortletXtra2
`getMobileFlags, getShortTitle, hasShowLink`

Methods inherited from interface oracle.portal.provider.v1.MutableMobilePortlet
`setCallGetPortlet, setCallGetPortlet, setCallIsRunnable, setCallIsRunnable, setShowLinkMode, setShowLinkMode`

Methods inherited from interface oracle.portal.provider.v1.MobilePortlet
`callGetPortlet, callIsRunnable, hasShowLinkMode`

Methods inherited from interface oracle.portal.provider.v1.MutablePortlet
`addAcceptContentType, addInputParameter, setDefaultLocale, setDescription, setHasAbout, setHasHelp, setId, setName, setPersonalizationManager, setRenderer, setResource, setSecurityManager, setShowDetails, setShowEdit, setShowEditDefault, setShowEditToPublic, setShowPreview, setTimeout, setTimeoutMessage, setTitle`

Method Detail

### setMinEditAuthLevel

    public void setMinEditAuthLevel(java.lang.String authLevel)
                             throws PortletException

  Sets the minimum user authentication level required for the customize link to be displayed in the portlet header If the authentication level of a user is less than the minimum authentication level specified, the customize link will not be displayed in the portlet header.
  Parameters:
    `authLevel` - minimum authentication level. Possible values are "PUBLIC", "WEAK", "STRONG"

### setContainerRenderer

    public void setContainerRenderer(PortletContainerRenderer renderer)
                              throws PortletException

  Sets the controller that will render this portlet's container. The container renderer is responsible for rendering the portlet container in each of the show modes the portlet supports
  Parameters:
    `renderer` - the portlet container renderer

### setContainerRenderer

    public void setContainerRenderer(java.lang.Object renderer)
                              throws PortletException

  Sets the controller that will render this portlet's container. The container renderer is responsible for rendering the portlet container in each of the show modes the portlet supports
  Parameters:
    `renderer` - the portlet container renderer. Even though the type of the parameter is Object, the parameter must be an instance of PortletContainerRenderer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD